org.apache.hc.client5.http.async

## Class AsyncExecChain.Scope

- java.lang.Object
- - org.apache.hc.client5.http.async.AsyncExecChain.Scope

- Enclosing interface:
    AsyncExecChain

      public static final class AsyncExecChain.Scope
      extends Object

  Request execution scope that includes the unique message exchange ID, the connection route, the original request message, the execution context and the internal execution runtime.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `org.apache.hc.core5.concurrent.CancellableDependency` | `cancellableDependency`
    `HttpClientContext` | `clientContext`
    `String` | `exchangeId`
    `AtomicInteger` | `execCount`
    `AsyncExecRuntime` | `execRuntime`
    `org.apache.hc.core5.http.HttpRequest` | `originalRequest`
    `HttpRoute` | `route`
    `AsyncExecChain.Scheduler` | `scheduler`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsyncExecChain.Scope(String exchangeId, HttpRoute route, org.apache.hc.core5.http.HttpRequest originalRequest, org.apache.hc.core5.concurrent.CancellableDependency cancellableDependency, HttpClientContext clientContext, AsyncExecRuntime execRuntime)` Deprecated. Use `Scope#Scope(String, HttpRoute, HttpRequest, CancellableDependency, HttpClientContext, AsyncExecRuntime, Scheduler, AtomicInteger)`
    `AsyncExecChain.Scope(String exchangeId, HttpRoute route, org.apache.hc.core5.http.HttpRequest originalRequest, org.apache.hc.core5.concurrent.CancellableDependency cancellableDependency, HttpClientContext clientContext, AsyncExecRuntime execRuntime, AsyncExecChain.Scheduler scheduler, AtomicInteger execCount)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### exchangeId

          public final String exchangeId

    - #### route

          public final HttpRoute route

    - #### originalRequest

          public final org.apache.hc.core5.http.HttpRequest originalRequest

    - #### cancellableDependency

          public final org.apache.hc.core5.concurrent.CancellableDependency cancellableDependency

    - #### clientContext

          public final HttpClientContext clientContext

    - #### execRuntime

          public final AsyncExecRuntime execRuntime

    - #### scheduler

          public final AsyncExecChain.Scheduler scheduler

    - #### execCount

          public final AtomicInteger execCount

  - ### Constructor Detail

    - #### AsyncExecChain.Scope

          public AsyncExecChain.Scope(String exchangeId,
                              HttpRoute route,
                              org.apache.hc.core5.http.HttpRequest originalRequest,
                              org.apache.hc.core5.concurrent.CancellableDependency cancellableDependency,
                              HttpClientContext clientContext,
                              AsyncExecRuntime execRuntime,
                              AsyncExecChain.Scheduler scheduler,
                              AtomicInteger execCount)

      Since:
        5.1

    - #### AsyncExecChain.Scope

          @Deprecated
          public AsyncExecChain.Scope(String exchangeId,
                                         HttpRoute route,
                                         org.apache.hc.core5.http.HttpRequest originalRequest,
                                         org.apache.hc.core5.concurrent.CancellableDependency cancellableDependency,
                                         HttpClientContext clientContext,
                                         AsyncExecRuntime execRuntime)

      Deprecated. Use `Scope#Scope(String, HttpRoute, HttpRequest, CancellableDependency, HttpClientContext, AsyncExecRuntime, Scheduler, AtomicInteger)`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.